System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Syndication.ISyndicationElement

A category allows you to assign one or more keywords that can be used to search for information.

A class that represents the category of a syndication feed.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified instance.

  The instance to initialize the new instance.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the given name.

  The name of the category.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name, scheme, and label.

  The name of the category.
  A Uniform Resource Identifier (URI) that represents the categorization scheme to which this category belongs.
  A human-readable attribute that describes the category.
- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  The syndication object model allows you to add custom attributes to a instance. Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <category> element.

  Gets the attribute extensions for this category.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationCategory To be added.

  Creates a copy of a instance.

  A new instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specification. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace.

  Gets the element extensions for this category.

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the is written to the label attribute of the <category> element. is not serialized to RSS 2.0.

  Gets and sets the label of the category.

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the is written to the term attribute of the <category> element. is not serialized to RSS 2.0.

  Gets and sets the name of the category.

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the property is written to the scheme attribute of the <category> element.

  When serialized to RSS 2.0, the property is written to the domain attribute of the <category> element.

  Gets and sets the scheme of the category.

- Method
  4.0.0.0
  System.Boolean `` `` `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <category> element. This method is an extension point that allows you to handle the deserialization of a custom attribute extension. To do this, derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Attempts to parse an attribute extension.

  A value that specifies whether the attribute extension was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the deserialization of a custom element extension. To do this, derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Attempts to parse an element extension.

  A value that specifies whether the element extension has been parsed successfully.

  The to read from. The syndication version to use while parsing.
- Method
  4.0.0.0
  System.Void `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <category> element. This method is an extension point that allows you to handle the serialization of custom attribute extensions. To do this, derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Writes the attribute extensions to the specified writer.

  The to write to. The syndication version to use while writing.
- Method
  4.0.0.0
  System.Void `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specification. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the serialization of custom element extensions. To do this, derive a class from and override this method. This method is called for all unrecognized element extensions.

  Writes the element extensions to the specified writer.

  The to write to. The syndication version to use while writing.